/* PM 2017
 * Radu Ioana-Roxana
 * 
 * Header ce contine definitia functiilor necesare comunicarii prin USART.
 * Sursa: laboratorul 1 PM 2017.
 *
 */
 
#ifndef USART_H_
#define USART_H_

#include <avr/io.h>
#include <stdio.h>

/*
 * Functie de initializare a controllerului USART
 */
void USART0_init();

/*
 * Functie ce transmite un caracter prin USART
 *
 * @param data - caracterul de transmis
 */
void USART0_send_char(char data);

/*
 * Functie ce primeste un caracter prin USART
 *
 * @return - caracterul primit
 */
char USART0_receive_char();

/*
 * Functie ce transmite un sir de caractere prin USART
 *
 * @param data - sirul (terminat cu '\0') de transmis
 */
void USART0_send_string(const char *data); 

#endif // USART_H_
